[oe,meta-oe,1/8] glfw: Update to latest

Message ID 20191231010652.3206534-1-raj.khem@gmail.com
State Superseded
Headers show
Series
  • [oe,meta-oe,1/8] glfw: Update to latest
Related show

Commit Message

Khem Raj Dec. 31, 2019, 1:06 a.m.
Disable docs which needs doxygen
FPIC in static archives is needed for arches like aarch64

Signed-off-by: Khem Raj <raj.khem@gmail.com>

---
 meta-oe/recipes-core/glfw/glfw_3.3.bb | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

-- 
2.24.1

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Comments

Adrian Bunk Dec. 31, 2019, 9:24 a.m. | #1
On Mon, Dec 30, 2019 at 05:06:46PM -0800, Khem Raj wrote:
>...

> FPIC in static archives is needed for arches like aarch64


This is not true.

What is the problem you were trying to fix?

>...

> +PV .= "git${SRCPV}"

>...


This should be +git${SRCPV}

cu
Adrian
-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel
Khem Raj Dec. 31, 2019, 7:02 p.m. | #2
On Tue, Dec 31, 2019 at 1:24 AM Adrian Bunk <bunk@stusta.de> wrote:
>

> On Mon, Dec 30, 2019 at 05:06:46PM -0800, Khem Raj wrote:

> >...

> > FPIC in static archives is needed for arches like aarch64

>

> This is not true.


I should have said shared objects see
http://errors.yoctoproject.org/Errors/Details/301233/

>

> What is the problem you were trying to fix?

>

> >...

> > +PV .= "git${SRCPV}"

> >...

>

> This should be +git${SRCPV}

>

> cu

> Adrian

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Patch

diff --git a/meta-oe/recipes-core/glfw/glfw_3.3.bb b/meta-oe/recipes-core/glfw/glfw_3.3.bb
index 0ceeba1f19..858e5c0592 100644
--- a/meta-oe/recipes-core/glfw/glfw_3.3.bb
+++ b/meta-oe/recipes-core/glfw/glfw_3.3.bb
@@ -10,11 +10,15 @@  SECTION = "lib"
 
 inherit pkgconfig cmake features_check
 
-S = "${WORKDIR}/git"
+PV .= "git${SRCPV}"
+SRCREV = "781fbbadb0bccc749058177b1385c82da9ace880"
 SRC_URI = "git://github.com/glfw/glfw.git"
-SRCREV = "d25248343e248337284dfbe5ecd1eddbd37ae66d"
 
-EXTRA_OECMAKE += "-DBUILD_SHARED_LIBS=ON"
+S = "${WORKDIR}/git"
+
+EXTRA_OECMAKE += "-DBUILD_SHARED_LIBS=ON -DGLFW_BUILD_DOCS=OFF"
+
+CFLAGS += "-fPIC"
 
 DEPENDS = "libpng libglu zlib libxrandr libxinerama libxi libxcursor"
 REQUIRED_DISTRO_FEATURES = "x11 opengl"